
Foreman - Feature #564

Implement OUs hierarchy to allow reusing (host) groups with client/OU specific classes and

parameters.

01/04/2011 08:38 AM - Marcello de Sousa

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This could help solving the following example:

I have the following types of hosts:

- hostA1...hostA10 - Front-end running apache + squid + iptables + auth daemon + parameters client

1

- hostB1...hostB5 - Front-end running tomcat + squid + iptables + auth daemon + parameters client1

- hostC - Back-end CMS server running apache + squid + auth daemon + parameters client1

- hostD - DB server running mysql + auth daemon + parameters client1

Now I want to create the same environment for client2, so everything should be the same except the "parameters"    

From the IRC discussion:

<ohadlevy> marcellods: so you want to include them all in another hostgroup, just that you could s

hare the params?

and what you do today, is simulating that, simply by riding the domain concept to do the same, 

and I think that the right concept, is an organization, where each org is a different customer

Related issues:

Related to Foreman - Feature #1578: Implement organizations and extend enviro... Closed

Related to Foreman - Feature #3912: Add ability for locations / organizations... Closed

History

#1 - 01/24/2011 03:44 AM - Ohad Levy

- Target version deleted (0.2)

this will probably make it at the next release

#2 - 07/18/2011 09:50 AM - Ohad Levy

- Category deleted (External Nodes)

#3 - 07/18/2012 03:59 AM - Ohad Levy

- Assignee changed from Ohad Levy to Greg Blomquist

- Target version set to 1.1

#4 - 11/28/2012 05:34 AM - Ohad Levy

- Assignee changed from Greg Blomquist to Amos Benari

- Target version deleted (1.1)
we are going to merge first Orgs and locations support first, then we'll add hierarchy.

#5 - 02/20/2014 08:25 AM - Ohad Levy

- Related to Feature #3912: Add ability for locations / organizations to inherit from a parent location / organization added

#6 - 02/20/2014 08:26 AM - Ohad Levy

- Description updated

- Status changed from New to Closed

- Assignee deleted (Amos Benari)

Now, with a combination of smart/class parameters, hostgroup, orgs and location nesting, you can get the requested feature.

Closing :)
